From: "Julien Roy" <julien@jroy.ca>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:dev commit in: dev-python/zope-cachedescriptors/
Date: Tue, 11 Apr 2023 01:03:05 +0000 (UTC) [thread overview]
Message-ID: <1681174339.ed231c31bcc212b4b44c3e64e11d6d50397202d1.julien@gentoo> (raw)
commit: ed231c31bcc212b4b44c3e64e11d6d50397202d1
Author: Julien Roy <julien <AT> jroy <DOT> ca>
AuthorDate: Tue Apr 11 00:52:19 2023 +0000
Commit: Julien Roy <julien <AT> jroy <DOT> ca>
CommitDate: Tue Apr 11 00:52:19 2023 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=ed231c31
dev-python/zope-cachedescriptors: add 5.0
Signed-off-by: Julien Roy <julien <AT> jroy.ca>
dev-python/zope-cachedescriptors/Manifest | 1 +
.../zope-cachedescriptors-5.0.ebuild | 29 ++++++++++++++++++++++
2 files changed, 30 insertions(+)
diff --git a/dev-python/zope-cachedescriptors/Manifest b/dev-python/zope-cachedescriptors/Manifest
index 675c0a5c6..9c1cbcfff 100644
--- a/dev-python/zope-cachedescriptors/Manifest
+++ b/dev-python/zope-cachedescriptors/Manifest
@@ -1 +1,2 @@
DIST zope-cachedescriptors-4.4.gh.tar.gz 10194 BLAKE2B e5d505beef056610c4980d66bd8e183bd883e730aaf4cbfec0b1648be34ef7cd5547c20de465f173f9b54072014f4aa337337178d11a8c2ab1d8ad997f64d68d SHA512 22ba430ac899131512c4a69933155d06ade8a607a874c9cf733171148f7f9e50d4fde9976ab28aec19f19871a654cb78ba09d8fea0799cf0bb73bbbbe5680554
+DIST zope.cachedescriptors-5.0.tar.gz 13250 BLAKE2B b6e3f78555327d1676ffc7bfd4102fca701173bca0d0592fd1349343dcab769f7fc8456fd692bc1e7642e25dcf7ce2bd6b1304b084ab74cfd07f2323f9ceaed2 SHA512 fc310ba8a732871d578d689c2b98638b4e6de8455eaa2583eba2334ea021052a4bbd81eb57151a2ed6bd06ebdcea3348ebd98d4777e66ae613a078bc13911224
diff --git a/dev-python/zope-cachedescriptors/zope-cachedescriptors-5.0.ebuild b/dev-python/zope-cachedescriptors/zope-cachedescriptors-5.0.ebuild
new file mode 100644
index 000000000..bb7ac9c51
--- /dev/null
+++ b/dev-python/zope-cachedescriptors/zope-cachedescriptors-5.0.ebuild
@@ -0,0 +1,29 @@
+# Copyright 2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9..11} pypy3 )
+
+PYPI_NO_NORMALIZE=1
+PYPI_PN="${PN/-/\.}"
+inherit distutils-r1 pypi
+
+DESCRIPTION="Python descriptors which cache their output"
+HOMEPAGE="https://github.com/zopefoundation/zope.cachedescriptors"
+
+LICENSE="ZPL"
+SLOT="0"
+KEYWORDS="~amd64"
+
+src_prepare() {
+ # strip rdep specific to namespaces
+ sed -i -e "/'setuptools'/d" setup.py || die
+ distutils-r1_src_prepare
+}
+
+python_compile() {
+ distutils-r1_python_compile
+ find "${BUILD_DIR}" -name '*.pth' -delete || die
+}
next reply other threads:[~2023-04-11 1:03 UTC|newest]
Thread overview: 4+ messages / expand[flat|nested] mbox.gz Atom feed top
2023-04-11 1:03 Julien Roy [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-01-04 2:21 [gentoo-commits] repo/proj/guru:dev commit in: dev-python/zope-cachedescriptors/ Julien Roy
2023-04-11 1:03 Julien Roy
2023-02-04 21:30 Julien Roy
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1681174339.ed231c31bcc212b4b44c3e64e11d6d50397202d1.julien@gentoo \
--to=julien@jroy.ca \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox